Update KDE Frameworks to 5.24.0 and add KArchive
authorAndre Heinecke <aheinecke@intevation.de>
Tue, 12 Jul 2016 13:45:12 +0000 (15:45 +0200)
committerAndre Heinecke <aheinecke@intevation.de>
Tue, 12 Jul 2016 13:50:58 +0000 (15:50 +0200)
commitace274b67cd6f5b320a04b4dbbb6bd5a0f994f72
tree5fbb5f5641728b0d98b76103a385f55d3bf880d4
parente1c1af0310ae26f08a1a6df78dd3d638b5cece32
Update KDE Frameworks to 5.24.0 and add KArchive

* configure.ac: Register KArchive
* src/inst-karchive.nsi, src/uninst-karchive.nsi: New.
* packages/packages.current: Update Frameworks. Add KArchive.
* patches/gpgmepp/drop-version-dep.patch: Removed. No longer needed.
* patches/kconfigwidgets/0001-Make-QDbus-optional.patch,
patches/kiconthemes/0001-Make-DBus-optional.patch,
patches/kxmlgui/0002-Make-QDBus-dependency-optional.patch: Refreshed.
* patches/ki18n/0001-Use-QLocale-system-uiLanguages-as-fallback.patch:
Removed. Applied upstream.
* Makefile.am (EXTRA_DIST): Update accordingly.
* src/config.nsi.in: Add KArchive
* src/inst-sections.nsi: Handle KArchive

--
KArchive is a new dependency for KIconThemes to handle themed
SVG(Z) files. As it is tier one and we ship all required dependencies
for KArchive already this should not hurt much.
13 files changed:
Makefile.am
configure.ac
packages/packages.current
patches/gpgmepp/drop-version-dep.patch [deleted file]
patches/kconfigwidgets/0001-Make-QDbus-optional.patch
patches/ki18n/0001-Use-QLocale-system-uiLanguages-as-fallback.patch [deleted file]
patches/kiconthemes/0001-Make-DBus-optional.patch
patches/kxmlgui/0002-Make-QDBus-dependency-optional.patch
src/Makefile.am
src/config.nsi.in
src/inst-karchive.nsi [new file with mode: 0644]
src/inst-sections.nsi
src/uninst-karchive.nsi [new file with mode: 0644]